quantlib (1.17-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version

  * debian/control: Add 'libboost-timer-dev, libboost-system-dev' to
    Build-Depends: as they are now needed for test-suite and benchmark

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Dec 2019 10:39:55 -0600

quantlib (1.16-1.1904.0) disco; urgency=medium

  * PPA build for Ubuntu 19.04 ("disco")

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Aug 2019 09:55:31 -0500

quantlib (1.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 05 Aug 2019 05:47:09 -0500

quantlib (1.15-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update Standards-Version: to current version

  * debian/quantlib-examples: Do not install SwapValuation and man page

  * debian/rules: Changed to install NEWS.md and not NEWS.txt

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 Feb 2019 05:55:23 -0600

quantlib (1.14-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Oct 2018 21:03:37 -0500

quantlib (1.13-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 May 2018 11:08:21 -0500

quantlib (1.12.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Apr 2018 07:01:21 -0500

quantlib (1.12-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Feb 2018 05:56:04 -0600

quantlib (1.11-4) unstable; urgency=medium

  * debian/control: Version the Breaks: + Replace:	(Closes: #881411)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 Nov 2017 08:41:08 -0600

quantlib (1.11-3) unstable; urgency=medium

  * debian/control: Add Breaks: and Replaces: to quantlib-examples as 
    CVAIRS binary moved packages			(Closes: #88040)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Nov 2017 20:40:57 -0600

quantlib (1.11-2.trusty.0) trusty; urgency=medium

  * PPA build for Ubuntu 14.04 ("trusty")
  * debian/control: Temporarily remove 'g++ (>= 4:5.2)' constraint

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Oct 2017 18:06:03 -0500

quantlib (1.11-2.zesty.0) zesty; urgency=medium

  * PPA build for Ubuntu 17.04 ("zesty")

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 14 Oct 2017 13:13:39 -0500

quantlib (1.11-2) unstable; urgency=medium

  * debian/quantlib-examples.files: Updated for additional examples and manual pages
  * man/GlobalOptimizer.1: New contributed manual page, also sent upstrea,
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Oct 2017 13:37:11 -0500

quantlib (1.11-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Oct 2017 06:30:57 -0500

quantlib (1.10.1-2) unstable; urgency=medium

  * debian/rules: Also exclude mips64el from checks (with thanks to Adrian Bunk)

  * debian/rules: Fix (older) typo which creates an error under current debhelper
    (also with thanks to Adrian Bunk for the bug report)	(Closes: #876569)
    
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Sep 2017 16:06:22 -0500

quantlib (1.10.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update Standards-Version: to current version

  * debian/compat: Increase to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 31 Aug 2017 14:32:52 -0500

quantlib (1.10-1trusty1) trusty; urgency=medium

  * PPA build for Ubuntu 14.04 ("trusty")
  * debian/control: Temporarily remove 'g++ (>= 4:5.2)' constraint

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 May 2017 20:55:43 -0500

quantlib (1.10-1xenial1) xenial; urgency=medium

  * PPA build for Ubuntu 16.04 ("xenial")

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 May 2017 12:38:56 -0500

quantlib (1.10-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 May 2017 06:45:36 -0500

quantlib (1.9-2) unstable; urgency=medium

  * ql/experimental/termstructures/multicurvesensitivities.hpp: Added five
    missing 'inline' declarations (also sent upstream as PR 161)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Nov 2016 06:56:36 -0600

quantlib (1.9-1xenial2) xenial; urgency=medium

  * PPA build for Ubuntu 16.04 ("xenial")

  * ql/experimental/termstructures/multicurvesensitivities.hpp: Added five
    missing 'inline' declarations (also sent upstream as PR 161)
    
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Nov 2016 21:37:32 -0600

quantlib (1.9-1xenial1) xenial; urgency=medium

  * PPA build for Ubuntu 16.04 ("xenial")

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Nov 2016 09:19:30 -0600

quantlib (1.9-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Nov 2016 06:20:21 -0600

quantlib (1.8.1-1xenial1) xenial; urgency=medium

  * PPA build for Ubuntu 16.04 ("xenial")
  * debian/control: Temporarily remove 'g++ (>= 4:5.2)' constraint

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Sep 2016 22:41:00 -0500

quantlib (1.8.1-1trusty1) trusty; urgency=medium

  * PPA build for Ubuntu 14.04 ("trusty")
  * debian/control: Temporarily remove 'g++ (>= 4:5.2)' constraint

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Sep 2016 19:58:10 -0500

quantlib (1.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Sep 2016 09:45:17 -0500

quantlib (1.8-1trusty1) trusty; urgency=medium

  * PPA build for Ubuntu 14.04 ("trusty")
  * debian/control: Temporarily remove 'g++ (>= 4:5.2)' constraint

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 27 May 2016 12:12:49 -0500

quantlib (1.8-1xenial0) xenial; urgency=medium

  * PPA build for Ubuntu 16.04 ("xenial")

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 May 2016 16:31:44 -0500

quantlib (1.8-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 May 2016 06:23:15 -0500

quantlib (1.8~20160419-1) unstable; urgency=medium

  [unreleased]
  * Release candidate for 1.8 as of 2016-04-19

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 Apr 2016 07:27:34 -0500

quantlib (1.7.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Remove libboost-thread-dev from Build-Depends: as it
    only crept in by (upstream) accident which is now rectified

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Jan 2016 11:23:10 -0600

quantlib (1.7-2) unstable; urgency=low

  * debian/rules: Also suppress tests on 'aarch64' 	(Closes: #806705)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 30 Nov 2015 08:01:31 -0600

quantlib (1.7-1wily0) wily; urgency=low

  * PPA build for Ubuntu 15.10 ("wily")

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Nov 2015 08:29:10 -0600

quantlib (1.7-1precise1) precise; urgency=low

  * PPA build for Ubuntu 15.04 ("precise")
  * Removing versioned Depends on g++ (>= 4:5.2)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Nov 2015 06:27:32 -0600

quantlib (1.7-1vidid1) vivid; urgency=low

  * PPA build for Ubuntu 15.04 ("vivid")
  * Removing versioned Depends on g++ (>= 4:5.2)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Nov 2015 06:26:49 -0600

quantlib (1.7-1precise0) precise; urgency=low

  * PPA build for Ubuntu 12.04 ("precise")

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Nov 2015 22:11:06 -0600

quantlib (1.7-1vidid0) vivid; urgency=low

  * PPA build for Ubuntu 15.04 ("vivid")

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Nov 2015 22:09:59 -0600

quantlib (1.7-1) unstable; urgency=low

  * New upstream version released this morning

  * debian/control: Add libboost-thread-dev to Build-Depends:

  * debian/rules: Add configure flags to enable intra-day time resolution
    as well as OpenMP parellelism

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Nov 2015 07:55:10 -0600

quantlib (1.6.2-2) unstable; urgency=low

  * debian/*: Rename libquantlib0 to libquantlib0v5 as core part of g++5
    transition was done for 1.6.2-1			(Closes: #799644)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Sep 2015 10:44:17 -0500

quantlib (1.6.2-1) unstable; urgency=low

  * New upstream version released this morning

  * Rebuilt under g++ (>= 4:5.2)

  * debian/control: Added Build-Depends: for g++ (>= 4:5.2)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Sep 2015 06:45:32 -0500

quantlib (1.6.1-1) unstable; urgency=low

  * New upstream version released today 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 03 Aug 2015 14:02:38 -0500

quantlib (1.6-1precise0) precise; urgency=low

  * PPA build for Ubuntu 12.04 ("precise")

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Jul 2015 06:22:11 -0500

quantlib (1.6-1vivid0) vivid; urgency=low

  * PPA build for Ubuntu 15.04 ("vivid")

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Jul 2015 22:03:09 -0500

quantlib (1.6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Jul 2015 18:24:49 -0500

quantlib (1.5-1precise0) precise; urgency=low

  * PPA build for Ubuntu 12.04 ("precise")

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Feb 2015 20:05:19 -0600

quantlib (1.5-1utopic0) utopic; urgency=medium

  * PPA build for Ubuntu 14.10 ("utopic")

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Feb 2015 19:07:31 -0600

quantlib (1.5-1) unstable; urgency=low

  * New upstream version released today 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Feb 2015 08:34:24 -0600

quantlib (1.4.1-1) unstable; urgency=low

  * New upstream version released today 
  
  * debian/control: Update Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 17 Nov 2014 06:20:00 -0600

quantlib (1.4-2) unstable; urgency=low

  * debian/rules: Call dh_autoreconf / dh_autoreconf_clean to get updated
    autotools files to enable builds on powerpc64le	(Closes: #744653)
  * debian/control: Add Build-Depends: on dh-autoreconf
  
  * debian/rules: Use dpkg-buildflags for several flags as well

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 13 Apr 2014 12:29:47 -0500

quantlib (1.4-1) unstable; urgency=low

  * New upstream version released today

  * debian/control: Also have Provides: for previous so-name numbered
    libquantlib versions to ensure smoother upgrades (cf #731170)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 27 Feb 2014 06:50:20 -0600

quantlib (1.3-2) unstable; urgency=low

  * debian/control: 
    - Following discussion with ftpmasters, revert back to
      simpler scheme of using 'libquantlib0' for the library package as the
      upstream soname is not changing, and we only have two dependencies for
      this package. 
    - No Conflicts: etc on libquantlib-1.3 needed as the latter never 
      entered the Debian archive

  * debian/*: Updated several files to reflect libquantlib0

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Sep 2013 09:01:45 -0500

quantlib (1.3-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Jul 2013 06:13:24 -0500

quantlib (1.2.1-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 10 Sep 2012 11:32:29 -0500

quantlib (1.2-2) unstable; urgency=low

  * debian/control: Add proper Conflicts/Replaces/Provides to correct
    issue found by piuparts -- with thanks to Andreas Beckmann.
  							(Closes: #663445)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Mar 2012 08:30:04 -0500

quantlib (1.2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Mar 2012 19:34:24 -0600

quantlib (1.1-2) unstable; urgency=low

  * debian/control: Move Build-Depends: from automake1.7 to automake to
    help with the automake transition; automake is not called on tarball
    releases anyway					(Closes: #648588)

  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 16 Nov 2011 20:24:25 -0600

quantlib (1.1-1) unstable; urgency=low

  * New upstream version released today

  * ql/Makefile.am: Set 'libQuantLib_la_LDFLAGS = -release 1.1' so that
    libtool creates a correct release version for us
  * ql/Makefile.in: Idem
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 May 2011 17:02:06 -0500

quantlib (1.1~20110503-2) unstable; urgency=low

  * debian/rules: Correctly set sonum to 1.1		(Closes: #625776)

  * ql/Makefile.am: Set 'libQuantLib_la_LDFLAGS = -release 1.1' so that
    libtool creates a correct release version for us
  * ql/Makefile.in: Idem
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 06 May 2011 18:53:59 -0500

quantlib (1.1~20110503-1) unstable; urgency=low

  * First beta release for QuantLib 1.1

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 May 2011 20:36:26 -0500

quantlib (1.0.1-1) unstable; urgency=low

  * New upstream bug-fix release from earlier today

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Apr 2010 17:42:05 -0500

quantlib (1.0.0-1) unstable; urgency=low

  * New upstream release
  
  * As with the beta releases, this was renamed from 1.0 to 1.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Feb 2010 11:04:00 -0600

quantlib (1.0.0~20100209-3) unstable; urgency=low

  * debian/rules: Do not run 'make check' on hppa

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Feb 2010 06:36:41 -0600

quantlib (1.0.0~20100209-2) unstable; urgency=low

  * debian/rules: Do not call 'make benchmark' after 'make check'
  							(Closes: #569198)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 11 Feb 2010 09:48:11 -0600

quantlib (1.0.0~20100209-1) unstable; urgency=low

  * Third beta release for QuantLib 1.0.0 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 09 Feb 2010 11:08:42 -0600

quantlib (1.0.0~20100125-1) unstable; urgency=low

  * Second beta release for QuantLib 1.0.0 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 25 Jan 2010 06:14:56 -0600

quantlib (1.0.0~20100112-1) unstable; urgency=low

  * First beta release for QuantLib 1.0.0 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 12 Jan 2010 11:08:38 -0600

quantlib (0.9.9-3) unstable; urgency=low

  * debian/control: Tighten Depends: of libquantlib-dev and quantlib-examples
    on the library package for the softlinked /usr/share/doc/directory 
    								  [lintian]

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Dec 2009 16:53:12 -0600

quantlib (0.9.9-2) unstable; urgency=low

  * debian/copyright: Updated by incorporated current LICENSE.TXT file
    listing all copyright holders

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 29 Nov 2009 16:53:09 -0600

quantlib (0.9.9-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Nov 2009 08:27:04 -0600

quantlib (0.9.9~20091104-1) unstable; urgency=low

  * Release candidate for 0.9.9 as of 2009-11-04

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 12:06:12 -0600

quantlib (0.9.9~20091102-1) unstable; urgency=low

  * Release candidate for 0.9.9 as of 2009-11-02

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Nov 2009 16:13:37 -0600

quantlib (0.9.9~20091023-1) unstable; urgency=low

  * Release candidate for 0.9.9 as of 2009-10-23

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2009 17:21:43 -0600

quantlib (0.9.7-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Nov 2008 06:09:42 -0600

quantlib (0.9.7~20081111-1) unstable; urgency=low

  * Release candidate for 0.9.7 as of 2008-11-11

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Nov 2008 08:06:23 -0600

quantlib (0.9.6-2) unstable; urgency=low

  * ql/termstructures.cpp: Applied two-line patch by Luigi for time comparisons

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Aug 2008 10:27:04 -0500

quantlib (0.9.6-1) unstable; urgency=low

  * New upstream bug-fix release 0.9.6 
  * Release 0.9.5 has a serious bug in the swap pricer which has been 
    addressed in this bug fix release
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Aug 2008 10:33:43 -0500

quantlib (0.9.5~20080718-1) unstable; urgency=low

  * Release candidate for 0.9.5 as of 2008-07-18

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Jul 2008 11:05:13 -0500

quantlib (0.9.0.20071224-1) unstable; urgency=low

  * Final release for 0.9.0 as of 2007-12-24

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Dec 2007 21:51:45 -0600

quantlib (0.9.0.20071220-1) unstable; urgency=low

  * New release candidate for 0.9.0 as of 2007-12-20

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Dec 2007 11:19:03 -0600

quantlib (0.9.0~20071212-1) unstable; urgency=low

  * New release candidate for 0.9.0 as of 2007-12-12

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Dec 2007 20:51:00 -0600

quantlib (0.9.0~20071127-1) unstable; urgency=low

  * Release candidate for 0.9.0 as of 2007-11-27
  
  * debian/{control,libquantlib0-dev.files,libquantlib0-dev.links,
    quantlib.examples}: Updated hardcode version from 0.8.1 to 0.9.0

  * debian/FittedBondCurve.1: Contributed new manual page, sent upstream too
  
  * debian/watch: Now uses sf.net redirector 		(Closes: #450162)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 28 Nov 2007 10:30:47 -0600

quantlib (0.8.1-2) unstable; urgency=low

  * debian/rules: Use 'dpkg-architecture -qDEB_HOST_GNU_CPU' for architecture
    tests with thanks to Ritu Voipio			(Closes: #430709)    

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Jul 2007 08:58:20 -0500

quantlib (0.8.1-1) unstable; urgency=low

  * New upstream release, adding support for Boost 1.3.34
  
  * debian/libquantlib0-dev.files: Add files
        usr/bin/quantlib-benchmark
        usr/bin/quantlib-test-suite 
    back in 

  * test-suite/quantlibbenchmark.cpp: Applied minimal patch to not
    test one seemingly deprecated feature
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Jun 2007 19:00:43 -0500

quantlib (0.8.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 31 May 2007 09:24:27 -0500

quantlib (0.8.0~20070525-2) unstable; urgency=low

  * debian/libquantlib0-dev.files: Allow files
        usr/share/man/man1/quantlib-benchmark.1
        usr/share/man/man1/quantlib-test-suite.1
    to be moved.
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 May 2007 20:51:48 -0500

quantlib (0.8.0~20070525-1) unstable; urgency=low

  * Release candidate for 0.8.0 as of 2007-05-25
 
  * debian/libquantlib0-dev.files: Both the the currently released
    QuantLib 0.4.0 as well as this release candidate build only with the
    Boost 1.33 regression testing framework whereas Debian is already at
    Boost 1.34. For now, we disable installation of quantlib-test-suite in
    the quantlib-dev package via a temporary removal of
        usr/bin/quantlib-benchmark
        usr/bin/quantlib-test-suite 
        usr/share/man/man1/quantlib-benchmark.1
        usr/share/man/man1/quantlib-test-suite.1
    from this debhelper file. 				(Closes: #425923)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 26 May 2007 20:50:36 -0500

quantlib (0.4.0-2) unstable; urgency=low

  * ql/Makefile.{am.in}: Remove extra $(DESTDIR) from link command in 
    install-exec-hook. Thanks to Aurelien Jarno for the report, and patch.
    							(Closes: #413679)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  7 Mar 2007 21:22:28 -0600

quantlib (0.4.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Feb 2007 06:24:04 -0600

quantlib (0.4.0~20070209-1) unstable; urgency=low

  * First release candidate of Quantlib 0.4.0

  * debian/libquantlib0.files: Removed usr/lib/libQuantLibFunctions.so

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Feb 2007 08:59:16 -0600

quantlib (0.3.14-2) unstable; urgency=low

  * debian/rules: Tolerate failures in the 'make check' and 
    'make benchmark' calls -- failures on alpha and ia64 have been
    noticed and are being discussed among the upstream developers 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Nov 2006 21:05:27 -0600

quantlib (0.3.14-1) unstable; urgency=low

  * New upstream release

  * debian/rules: Configure with the new --enable-benchmark option
  * debian/rules: Correctly set LD_LIBRARY_PATH before calling 
    'make check' and 'make benchmark', still skip this on arm + m68k
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  6 Nov 2006 06:11:51 -0600

quantlib (0.3.13-1) unstable; urgency=low

  * New upstream release

  * man/{FRA.1, Replication.1, Repo.1, Makefile.am}: Contributed three new 
    manual pages for the three new examples; also committed to CVS
  * man/*.1: Updated 'See also' section of the existing ones
  * debian/quantlib-examples.files: Added new binaries and manual pages
  
  * debian/control: Update Standards-Version: to 3.7.2
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 27 Jul 2006 07:07:54 -0500

quantlib (0.3.12-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Mar 2006 12:05:49 -0600

quantlib (0.3.11.rc.20060303-2) unstable; urgency=low

  * debian/rules: Switch back from g++-4.0 to g++	     (Closes: #357369)
  * debian/control: Add 'g++ (>= 4:4.0.2-2)' to Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Mar 2006 22:30:47 -0600

quantlib (0.3.11.rc.20060303-1) unstable; urgency=low

  * New upstream release candiate for 0.3.12 dated 2006-03-03

 -- Dirk Eddelbuettel <edd@debian.org>  Fri,  3 Mar 2006 19:27:55 -0600

quantlib (0.3.11.rc.20060224-1) unstable; urgency=low

  * New upstream release candiate for 0.3.12 dated 2006-02-24

  * Consequently, s/0.3.11/0.3.12/ in a variety of debian/* files

  * debian/quantlib-examples: Reflect fusion of EuropeanOption and
    AmericanOption into EquityOption; added ConvertibleBond

  * debian/{EquityOption,ConvertibleBonds}.1: Wrote two new man pages
    
  * Acknowledge NMU with enforced library renaming 	     (Closes: #340572)

  * debian/control: Apply tightened Build-Depends from NMU
  * debian/*: But ignore all c2a renaming as 0.3.12 ships with new soname   
  
  * ql/quote.hpp: Add #include <ql/errors.hpp> 
    so that compiler option -fpermissive is no longer needed

  * debian/control: Add libboost-test-dev to Depends: for libquantlib0-dev
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Feb 2006 00:05:18 -0600

quantlib (0.3.11-2.1) unstable; urgency=low

  * NMU.
  * Rename library, as required for libstdc++ allocator change.
    Really fixes #339255.
  * Remove standard tools from build dependencies, tighten build dependency
    on libboost-dev, built for the changed libstdc++ allocator.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Nov 2005 13:38:54 +0100

quantlib (0.3.11-2) unstable; urgency=low

  * Rebuilt with new g++ for libstdc++ allocator transition (Closes: #339255)
  * debian/control: Added Build-Depends g++-4.0 (>= 4.0.2-4) 
  * debian/rules: Added -fpermissive to compiler flags, reported upstream
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 17 Nov 2005 19:26:07 -0600

quantlib (0.3.11-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Oct 2005 21:04:52 -0500

quantlib (0.3.10-2) unstable; urgency=low

  * debian/control: Upgraded Build-Depends: for Boost libraries to
    require at least 1.33.0-1 -- thanks, Luk Claes	   (Closes: #333791)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Oct 2005 20:29:20 -0500

quantlib (0.3.10-1) unstable; urgency=low

  * New upstream release
  * This release includes the gcc-4.0 patch from A Jochens (Closes: #314650)
  * debian/control: Update library package name to libquantlib-0.3.10

  * First gcc/g++ 4.0 release
  * debian/control: Update Build-Depends: to gcc (>= 4:4.0), g++ (>= 4:4.0),
    libboost-dev (>= 1.32.0+1.33.0-cvs20050727), 
    libboost-test-dev (>= 1.32.0+1.33.0-cvs20050727)
  
  * debian/libquantlib0-dev.files: Add usr/share/aclocal/quantlib.m4, 
    usr/lib/libQuantLib.so, usr/lib/libQuantLibFunctions.so
  * debian/control: Update Standards-Version: to 3.6.2.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Jul 2005 22:35:17 -0500

quantlib (0.3.9-6) unstable; urgency=high

  * debian/control: Rather use "libquantlib-0.3.9 (= ${Source-Version})" 

  * Urgency still set to high to permit migration into testing

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 May 2005 00:25:45 -0500

quantlib (0.3.9-5) unstable; urgency=high

  * debian/control: Reinsert "libquantlib0 (= ${Source-Version})" 
  
  * Urgency set to high to permit migration into testing

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 May 2005 20:10:50 -0500

quantlib (0.3.9-4) unstable; urgency=high

  * debian/control: Conflicts: and Replaces: libquantlib0

  * Urgency set to high to permit migration into testing

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 May 2005 21:59:33 -0500

quantlib (0.3.9-3) unstable; urgency=high

  * debian/control: Rename the main library package libquantlib-0.3.9 to 
    tie the package name to the library soname (Closes: #309419)
  * Upload urgency 'high' as the bug severity 'serious'

  * debian/rules: Dynamically create debian/libquantlib-$SONAME.shlibs 
  * debian/{libquantlib0-dev,quantlib-examples}.files: Adapt to the
    changed library name as well, will need to autoconf these steps
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 May 2005 00:48:55 -0500

quantlib (0.3.9-2) unstable; urgency=medium

  * debian/libquantlib0.shlibs: Reflect the hard-coded version number of
    the upstream library (filename) as the soname field to get proper Depends 
    for the Debian packages usings this, also use greather-or-equal on Version
  * debian/control: Hence removed the "libquantlib0 (= ${Source-Version})" 
    Depends for libquantlib0-dev and quantlib-examples where we will now
    get half-open Depends (>= $VERSION) from the shlibs entry
  * debian/rules: Also use '-O0 -g0' flags on mips and mipsel 
  
  * Urgency set to medium to permit migration into testing

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 May 2005 10:57:27 -0500

quantlib (0.3.9-1) unstable; urgency=low

  * New upstream release 0.3.9 announced today

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  2 May 2005 20:07:52 -0500

quantlib (0.3.8.rc.20050412-1) unstable; urgency=low

  * Second release candidate package for 0.3.9 dated 2005-04-12

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Apr 2005 22:01:47 -0500

quantlib (0.3.8.rc.20050401-1) unstable; urgency=low

  * Initial release candidate for 0.3.9 dated 2005-04-01 

  * debian/watch: Added watch file
  
  * debian/control: Depends on libboost-dev (>= 1.32.0-4) which has an
    upstream CVS fix CVS required to build the QuantLib 0.3.9 release 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  4 Apr 2005 21:26:16 -0500

quantlib (0.3.8-2) unstable; urgency=low

  * Rebuilt against newer Boost 1.32 library (Closes: #293318)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  3 Feb 2005 22:13:04 -0600

quantlib (0.3.8-1) unstable; urgency=low

  * New upstream release 0.3.8 announced today

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Dec 2004 08:48:32 -0600

quantlib (0.3.7-1) unstable; urgency=low

  * New upstream release 0.3.7 (to be announced in the next few days)
  * debian/control: Standards-Version upgraded to 3.6.1.1

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Jul 2004 08:38:12 -0500

quantlib (0.3.6.rc.20040611-2) unstable; urgency=low

  * debian/rules: Compile with -O0 on the amd64 architecture

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Jun 2004 10:03:35 -0500

quantlib (0.3.6.rc.20040611-1) unstable; urgency=low

  * New upstream release candiate for 0.3.7 dated 2004-06-11
  * debian/control: Added Build-Depends for libboost-dev, libboost-regex-dev 
    (and removed the entry for cppunit which is no longer used)
  * debian/libquantlib0-dev.files: Do not move .so file as library naming
    was reorganised in upstream Makefiles
  * debian/control: Depends on ${Source-Version} for ql-examples [lintian]
  * debian/libquantlib0.shlibs: Add libQuantLibFunctions [lintian]
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 16 Jun 2004 14:27:23 -0500

quantlib (0.3.6-1) unstable; urgency=low

  * New upstream release 0.3.6 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Apr 2004 17:02:37 -0500

quantlib (0.3.5-1) unstable; urgency=low

  * New upstream release 0.3.5 (final 'golden master')

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Mar 2004 18:11:02 -0600

quantlib (0.3.4.20040316-1) unstable; urgency=low

  * Upgraded to 'golden master' pre-release of 0.3.5 dated 2004-03-16

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 Mar 2004 06:57:11 -0600

quantlib (0.3.4-2) unstable; urgency=low

  * Upgraded to actual release 0.3.4 dated 2003-11-18
  * debian/control: Build-Depends on automake1.7 instead of automaken

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Nov 2003 21:54:08 -0600

quantlib (0.3.4-1) unstable; urgency=low

  * Upgraded to 'golden master' pre-release of 0.3.4 dated 2003-11-04
  * debian/rules: Really make sure 'test' is run before 'install'

 -- Dirk Eddelbuettel <edd@debian.org>  Tue,  4 Nov 2003 16:35:15 -0600

quantlib (0.3.3-1) unstable; urgency=low

  * Upgraded to new upstream version 0.3.3 (to be announced next week)
  * debian/rules: Make sure 'test' is run before 'install', but 
    do not run make check on either arm or m68k
  * debian/control: Standards-Version upgraded to 3.6.1.0

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Aug 2003 05:22:17 -0500

quantlib (0.3.2.20030727-1) unstable; urgency=low

  * Upgraded to 'golden master' pre-release of 0.3.3 dated 2003-07-27
    [ N.B.: there was no 0.3.2 release ]
  * debian/control: Section changed to libdevel for libquantlib0-dev
  * debian/control: Added cppunit to Build-Depends to obtain unit testing
  * debian/quantlib-examples.files: Added AmericanOption binary and man page
  * debian/libquantlib0-dev.files: Added quantlib-test-suite binary and man page
  * debian/quantlib-test-suite.1: Added new manual page
  * debian/AmericanOption.1: Added new manual page
  * debian/control: Standards-Version upgraded to 3.6.0
  * debian/rules: Install quantlib.el in -dev package examples/ directory
  * debian/rules: Install test-suite/ in -dev package examples/ directory

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Jul 2003 09:24:09 -0500

quantlib (0.3.1-1) unstable; urgency=low

  * Upgraded to new upstream release 0.3.1

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Jan 2003 20:23:33 -0600

quantlib (0.3.0.9.1-1.0.1) unstable; urgency=low

  * i386-only rebuilt on unstable chroot by maintainer 
  * debian/control: Depends g++ (>= 3.2.2)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Jan 2003 21:00:29 -0600

quantlib (0.3.0.9.1-1) unstable; urgency=low

  * Upgraded to second 'golden master' pre-release of 0.3.1 
  * Renamed 0.3.0.9.1 to maintain package version sorting once 0.3.1 is out
  * debian/{rules,control}: No longer set g++ to 3.0 or 3.2 on different 
    platforms as gcc-3.2 (and g++-3.2) are now the default
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 14 Jan 2003 18:21:16 -0600

quantlib (0.3.0.9-2) unstable; urgency=low

  * debian/rules: Build with g++-3.2 for s390
  * debian/control: Adjusted Build-Depends accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Dec 2002 12:31:03 -0600

quantlib (0.3.0.9-1) unstable; urgency=low

  * Upgraded to new 'golden master' pre-release of 0.3.1
  * Renamed 0.3.0.9 to maintain package version sorting once 0.3.1 is out

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 21 Dec 2002 11:19:21 -0600

quantlib (0.3.0-2) unstable; urgency=low

  * debian/control: New package quantlib-example for all the examples
  * debian/rules: Appropriate changes based on quantlib-examples.files
  * debian/rules: Also quantlib-config and its manpage into -dev package

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  6 May 2002 20:56:19 -0500

quantlib (0.3.0-1) unstable; urgency=low

  * Upgraded to new upstream release 0.3.0

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  4 May 2002 19:27:09 -0500

quantlib (0.2.1.cvs20020322-1) unstable; urgency=low

  * Upgraded to new upstream snapshot release 0.3.0b1-20020322

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Mar 2002 12:28:10 -0600

quantlib (0.2.1cvs20020120-1) unstable; urgency=low

  * Upgraded to new upstream snapshot release 3.0a5-20020120
  * Adapated version for proper Debian version number sorting

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Jan 2002 13:36:41 -0600

quantlib (0.2.1-1) unstable; urgency=low

  * Upgraded to new upstream release 0.2.1
  * debian/{rules,control}: Use g++-3.0 on ia64

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  3 Dec 2001 18:53:20 -0600

quantlib (0.2.0-1) unstable; urgency=low

  * Upgraded to new upstream release 0.2.0
  * This new release now builds under gcc/g++ 3.0.1 (Closes: #104706)
  * debian/libquantlib0-dev.links: Link doc dir to libquantlib0
  * debian/libquantlib0-dev.preinst: Delete old doc directory
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Sep 2001 21:21:08 -0500

quantlib (0.1.9-3) unstable; urgency=low

  * debian/control: Changed Section to libs

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  2 Jul 2001 20:14:14 -0500

quantlib (0.1.9-2) unstable; urgency=low

  * debian/control: Added Build-Depends (Closes: #102983)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  1 Jul 2001 09:34:52 -0500

quantlib (0.1.9-1) unstable; urgency=low

  * Initial Debian release following WNPP heads-up (Closes: #101966)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Jun 2001 18:58:02 -0500
